function val = y(problem,x,t)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      wavebnd2
% from  2022-04-01 



% make sure x and t have the same size
assert(all(size(x) == size(t)));

% evaluate the function
val = 0.5 * (supplementary_alpha(problem,x+t) + supplementary_beta(problem,x-t));

