function val = beta(problem,s)
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      wavebnd2
% from  2022-04-01 



% Divide inputs into cases
ix1 = find((-2 <= s) & (s < -1));
ix2 = find((-1 <= s) & (s < 0));
ix3 = find((0 <= s) & (s <= 1));

% evaluate the function
val = zeros(size(s));
val(ix2) = - s(ix2) - 1;
val(ix3) = - ones(size(ix3));

